Subject: [netmod] Management Operations on YANG modelled operational data

From: "Tim Jenkins (timjenki)" <[email-masked]>
Date: Mon, 12 Dec 2016 15:04:03 +0000

Hi,

I have a general question related to management operations on operational data. The question is intended to be protocol agnostic, since as I understand it, the NETCONF management operations do not apply to data modelled in YANG where config is false. In other words, there is no generic NETCONF RPC that will, for example, delete entries in a table of operational data.

My question arises because we are implementing a feature that is defined using YANG, and has custom NETCONF RPCs whose operations can create, modify and delete rows of a YANG list that has entries that are both config is true and config is false. The rows that are config is false are the only rows that can be affected by the custom NETCONF RPCs; the other rows are affected only by the standard NETCONF management RPCs. However, there is a need for management operations to be able to remove the rows and the operations associated with them for various reasons.

So my question is this: what is the general approach to this problem?

As mentioned above, for NETCONF, I believe the answer is that a custom RPC has to be used. But is this intended to be the case for all protocols that can deal with YANG modelled data?

In case it matters, the specific case I'm dealing with is subscriptions as per https://tools.ietf.org/html/draft-ietf-netconf-rfc5277bis-01 and https://tools.ietf.org/html/draft-ietf-netconf-yang-push-04.

Thanks,

Tim

-- 
Cisco Systems Canada Co.
2000 Innovation Drive
Kanata, ON, Canada, K2K 3E8
Preferences <http://www.cisco.com/offer/subscribe/?sid=000478326>
Unsubscribe <http://www.cisco.com/offer/unsubscribe/?sid=000478327>
Privacy <http://www.cisco.com/web/siteassets/legal/privacy.html>